var fs = require('fs');
var q = require('q');
var read = function () {
  var deferred = q.defer();
  fs.readFile('./dummy.txt', 'utf-8', function (err, data) {
    if (err) {deferred.reject(err)}
    else { deferred.resolve(data) }
  });
  return deferred.promise;
};

read().then(function (content) {
  console.log(content);
}).catch(function (err) {
  console.log(err);
}).finally(function () {
  console.log('Read is done.');
});
